<?php

declare(strict_types = 1);

return [
    \NL\NlMenubuilder\Domain\Model\Page::class => [
        'tableName' => 'pages',
    ],
    \NL\NlMenubuilder\Domain\Model\MenuItem::class => [
        'tableName' => 'tx_nlmenubuilder_domain_model_menuitem',
        'subclasses' => [
            \NL\NlMenubuilder\Domain\Model\MenuItem::TYPE_PAGE => \NL\NlMenubuilder\Domain\Model\MenuItemPage::class,
            \NL\NlMenubuilder\Domain\Model\MenuItem::TYPE_CONTENT => \NL\NlMenubuilder\Domain\Model\MenuItemContent::class,
            \NL\NlMenubuilder\Domain\Model\MenuItem::TYPE_LINK => \NL\NlMenubuilder\Domain\Model\MenuItemLink::class,
            \NL\NlMenubuilder\Domain\Model\MenuItem::TYPE_SUBMENU => \NL\NlMenubuilder\Domain\Model\MenuItemSubmenu::class,
        ]
    ],
    \NL\NlMenubuilder\Domain\Model\MenuItemPage::class => [
        'tableName' => 'tx_nlmenubuilder_domain_model_menuitem',
        'recordType' => \NL\NlMenubuilder\Domain\Model\MenuItem::TYPE_PAGE
    ],
    \NL\NlMenubuilder\Domain\Model\MenuItemContent::class => [
        'tableName' => 'tx_nlmenubuilder_domain_model_menuitem',
        'recordType' => \NL\NlMenubuilder\Domain\Model\MenuItem::TYPE_CONTENT
    ],
    \NL\NlMenubuilder\Domain\Model\MenuItemLink::class => [
        'tableName' => 'tx_nlmenubuilder_domain_model_menuitem',
        'recordType' => \NL\NlMenubuilder\Domain\Model\MenuItem::TYPE_LINK
    ],
    \NL\NlMenubuilder\Domain\Model\MenuItemSubmenu::class => [
        'tableName' => 'tx_nlmenubuilder_domain_model_menuitem',
        'recordType' => \NL\NlMenubuilder\Domain\Model\MenuItem::TYPE_SUBMENU
    ],
];
